textures/heff_pads/qjp_01
{
	qer_editorimage textures/heff_pads/qjp_rust_01.tga
      q3map_lightimage textures/heff_pads/qorangejump_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/heff_pads/qorangejump_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/heff_pads/qjp_rust_01.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/heff_pads/qlp_track
{
	qer_editorimage textures/heff_pads/qlp_rust.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/heff_pads/q_pipes01.tga
	}
	{
		map textures/heff_pads/qlp_track.tga
		rgbGen identity
		tcMod scroll 0 0.5
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/heff_pads/qlp_rust.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/heff_pads/swirlpadh_in
{
	qer_editorimage textures/heff_pads/metpanelgrate.tga
	{
		map textures/heff_pads/mettrim1b.tga
	}
	{
		map textures/heff_pads/silkswirl.tga
		blendfunc add
		tcMod rotate -100
	}
	{
		map textures/heff_pads/metpanelgrate.tga
		blendfunc blend
	}
}

textures/heff_pads/swirlpadh_out
{
	qer_editorimage textures/heff_pads/metpanelgrate.tga
	{
		map textures/heff_pads/mettrim1b.tga
	}
	{
		map textures/heff_pads/silkswirl.tga
		blendfunc add
		tcMod rotate 100
	}
	{
		map textures/heff_pads/metpanelgrate.tga
		blendfunc blend
	}
}

textures/heff_pads/hqlaunch1
{
	qer_editorimage textures/heff_pads/hqlaunch.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/sfx/launchpad_arrow.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{ 
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one 
		rgbgen wave inversesawtooth 0 1 0 1 
	}

	{ 
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/heff_pads/hqlaunch2r
{
	qer_editorimage textures/heff_pads/hqlaunch.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/heff_pads/hqlaunch.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{ 
		map textures/heff_pads/hqdot.tga
		blendfunc gl_one gl_one 
		rgbgen wave inversesawtooth 0 1 0 1 
	}

	{ 
		animmap 4 textures/heff_pads/hqarrow1.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/heff_pads/hqlaunch2b
{
	qer_editorimage textures/heff_pads/hqlaunch.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/heff_pads/hqlaunch.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{ 
		map textures/heff_pads/hqdotb.tga
		blendfunc gl_one gl_one 
		rgbgen wave inversesawtooth 0 1 0 1 
	}

	{ 
		animmap 4 textures/heff_pads/hqarrow1b.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/heff_pads/hqlaunch3r // Dimmer -- (smaller LP dot.tga)
{
	qer_editorimage textures/heff_pads/hqlaunch.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/heff_pads/hqlaunch.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{ 
		map textures/heff_pads/hqdot2.tga
		blendfunc gl_one gl_one 
		rgbgen wave inversesawtooth 0 1 0 1 
	}

	{ 
		animmap 4 textures/heff_pads/hqarrow1.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/heff_pads/hqlaunch3b // Dimmer -- (smaller LP dot.tga)
{
	qer_editorimage textures/heff_pads/hqlaunch.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/heff_pads/hqlaunch.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{ 
		map textures/heff_pads/hqdot2b.tga
		blendfunc gl_one gl_one 
		rgbgen wave inversesawtooth 0 1 0 1 
	}

	{ 
		animmap 4 textures/heff_pads/hqarrow1b.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/heff_pads/hqlaunch3y // Dimmer -- (smaller LP dot.tga)
{
	qer_editorimage textures/heff_pads/hqlaunch.tga
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/heff_pads/hqlaunch.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{ 
		map textures/heff_pads/hqdot2y.tga
		blendfunc gl_one gl_one 
		rgbgen wave inversesawtooth 0 1 0 1 
	}

	{ 
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}